<?php
function config_module_tbl_gen_auto($NOM_MODULE) {
	include(ADD_PATH_ADMIN.TBL_CONFIG_GEN);
	@include(ADD_PATH_ADMIN.CHEM_MODULES.$NOM_MODULE."/language/"._USER_PERSO__PREF_LANGUAGE.".php");
	@include(ADD_PATH_ADMIN.REP_LIB_EXT.$NOM_MODULE."/language/"._USER_PERSO__PREF_LANGUAGE.".php");
	$t="<h2>%1\$s</h2>";
	$op="<option value='%1\$s' %2\$s>%3\$s</option>";
	$p="<p>%1\$s</p>";
	$f_ok="<p class='ok'>%1\$s</p>";
	$arryData2=array("openwysing" => "openwysing","bbcode" => "bbcode");
	$Tooltip= "onmouseover=\"showTooltip('<div class=\'info\'>%s</div>');\" onmouseout=\"hideTooltip()\" onclick=\"hideTooltip()\"";
	$i=0;
	$lg=appel_lang();
	$s=NewFct('barre_h_box_ajax',@constant(strtoupper($NOM_MODULE)),GEN_TXT_CONFIG,'',false);
	$s.="<div id=\"form_ajax_txt_box_scroll\">\n";
	$s.="<div id=\"form_ajax_txt_box_center\">\n";
	$s.=tep_form ("config_modules.php",'',"mod=".$NOM_MODULE."&amp;conf=mod&amp;confirm=1","post","POST",false," onsubmit='return checkForm(this)'" );
	while ($r=each($_Config_gen[$NOM_MODULE]))
	 if  (eregi("(true|false)", $r['value'])) {
		$etat= ($r['value']=='true') ? 'checked' : '' ;
		$etat_i= ($r['value']!='true') ? 'checked' : '' ;
		$s.=sprintf($p,php_f_radio($NOM_MODULE.'['.$r['key'].']', 'true', $etat ,$tabindex,sprintf($Tooltip,@constant(strtoupper('ATO_'.$NOM_MODULE.'_'.$r['key'].'_D')))).GEN_TXT_ON
		.php_f_radio($NOM_MODULE.'['.$r['key'].']', 'false', $etat_i ,$tabindex,sprintf($Tooltip,@constant(strtoupper('ATO_'.$NOM_MODULE.'_'.$r['key'].'_D')))).GEN_TXT_OFF
		.@constant(strtoupper('ATO_'.$NOM_MODULE.'_'.$r['key'].'')).FORM_CHAMPS_OBLIGATOIRE);
		}
	## Elemet contenat indice de lang (_fr,_en)
	elseif  ((eregi("(.*)(_)([a-z]{2,3})$", $r['key'],$reg))AND(isset($lg[$reg[3]]))) {
		reset($lg);
		## Elment enrg
		if (strlen($r['value'])<10)
		 $s.=sprintf($p,php_f_textField($NOM_MODULE."[".$r['key']."_".$reg[3]."]",50,100,$r['value'],'',sprintf($Tooltip,@constant(strtoupper('ATO_'.$NOM_MODULE.'_'.$r['key'].'_D'))))."(".$reg[3].") ".@constant(strtoupper('ATO_'.$NOM_MODULE.'_'.$r['key'].'')).FORM_CHAMPS_OBLIGATOIRE);
		else
		  $s.=sprintf($p,@constant(strtoupper('ATO_'.$NOM_MODULE.'_'.$r['key'].''))." (".$reg[3].") ".'<br />'.php_f_textArea($NOM_MODULE."[".$r['key']."_".$reg[3]."]",50,3,$r['value'],'','').FORM_CHAMPS_OBLIGATOIRE);
		## Boucle recup lang absente
		while ($bcl_lang=each($lg))
		   if (!isset($_Config_gen[$NOM_MODULE][$reg[1].'_'.$bcl_lang['key']]))
		     $s.=sprintf($p,php_f_textField($NOM_MODULE."[".$reg[1]."_".$bcl_lang['key']."]",50,100,$r['value'],'',sprintf($Tooltip,@constant(strtoupper('ATO_'.$NOM_MODULE.'_'.$reg[1].'_D'))))."(".$bcl_lang['key'].") ".@constant(strtoupper('ATO_'.$NOM_MODULE.'_'.$reg[1].'')).FORM_CHAMPS_OBLIGATOIRE);
		reset($lg);
	}
	 elseif (eregi("([0-9\.,]*)", $r['value']))
		$s.=sprintf($p,php_f_textField($NOM_MODULE."[".$r['key']."]",50,100,$r['value'],'',sprintf($Tooltip,@constant(strtoupper('ATO_'.$NOM_MODULE.'_'.$r['key'].'_D')))).@constant(strtoupper('ATO_'.$NOM_MODULE.'_'.$r['key'].'')).FORM_CHAMPS_OBLIGATOIRE);
	 else $s.=sprintf($p,@constant(strtoupper('ATO_'.$NOM_MODULE.'_'.$r['key'].'')).'<br />'.php_f_textArea($NOM_MODULE."[".$r['key']."]",50,3,$r['value'],'','').FORM_CHAMPS_OBLIGATOIRE);
	$s.=sprintf($p,FORM_CHAMPS_OBLIGATOIRE_TXT);
	$s.=sprintf($p,tep_bts_form('','','SE','SR','','','',true));
	$s.="</form>\n";
	$s .="</div>\n";
	$s .="</div>\n";
	return $s;
}
?>